# DXGfxLib.Serialization.Manager Class Reference

Collaboration diagram for DXGfxLib.Serialization.Manager:

[legend]

List of all members.

## Public Member Functions
| Manager ()
void | Dispose ()
void | SaveScene (Scene scene, string fileName)
void | SaveScene (OutDoorScene scene, string fileName)
Scene | LoadScene (string fileName)
OutDoorScene | LoadOutdoor (string fileName)
| Manager ()
void | Dispose ()
void | SaveScene (Scene scene, string fileName)
void | SaveScene (OutDoorScene scene, string fileName)
Scene | LoadScene (string fileName)
OutDoorScene | LoadOutdoor (string fileName)
## Static Public Member Functions
static Manager | GetGlobalInstance ()
static Manager | GetGlobalInstance ()

## Detailed Description

Definition at line 10 of file Manager.cs.

## Constructor & Destructor Documentation

DXGfxLib.Serialization.Manager.Manager | ( |  | ) |

Definition at line 14 of file Manager.cs.

DXGfxLib.Serialization.Manager.Manager | ( |  | ) |

Definition at line 14 of file Manager.cs.

## Member Function Documentation

void DXGfxLib.Serialization.Manager.Dispose | ( |  | ) |

Definition at line 23 of file Manager.cs.

void DXGfxLib.Serialization.Manager.Dispose | ( |  | ) |

Definition at line 23 of file Manager.cs.

static Manager DXGfxLib.Serialization.Manager.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 28 of file Manager.cs.

static Manager DXGfxLib.Serialization.Manager.GetGlobalInstance | ( |  | ) | `[static]`

Definition at line 28 of file Manager.cs.

OutDoorScene DXGfxLib.Serialization.Manager.LoadOutdoor | ( | string | fileName | ) |

Definition at line 96 of file Manager.cs.

OutDoorScene DXGfxLib.Serialization.Manager.LoadOutdoor | ( | string | fileName | ) |

Definition at line 96 of file Manager.cs.

Scene DXGfxLib.Serialization.Manager.LoadScene | ( | string | fileName | ) |

Definition at line 91 of file Manager.cs.

Scene DXGfxLib.Serialization.Manager.LoadScene | ( | string | fileName | ) |

Definition at line 91 of file Manager.cs.

void DXGfxLib.Serialization.Manager.SaveScene | ( | OutDoorScene | scene,
|  | string | fileName |
| ) |  |  |

Definition at line 37 of file Manager.cs.

void DXGfxLib.Serialization.Manager.SaveScene | ( | Scene | scene,
|  | string | fileName |
| ) |  |  |

Definition at line 33 of file Manager.cs.

void DXGfxLib.Serialization.Manager.SaveScene | ( | OutDoorScene | scene,
|  | string | fileName |
| ) |  |  |

Definition at line 37 of file Manager.cs.

void DXGfxLib.Serialization.Manager.SaveScene | ( | Scene | scene,
|  | string | fileName |
| ) |  |  |

Definition at line 33 of file Manager.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Serialization/Manager.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Serialization/Manager.cs